# applyPodPropertyValues abstract method

Future<void> applyPodPropertyValues(

1. Object existingPod,
2. String podName

)

Applies property values to a pod instance based on its configuration.

This method sets property values defined in the pod configuration to the existing pod instance.

## Usage Example:

    final pod = MyConfigurablePod();
    await factory.applyPodPropertyValues(pod, 'myConfigurablePod');
    // Now pod has all configured property values set

@param existingPod The pod instance to apply properties to @param podName The name of the pod being configured @return A Future that completes when properties are applied

## Implementation

    Future<void> applyPodPropertyValues(Object existingPod, String podName);